Subject: Re: bug#71998: 31.0.50; Typescript grammar v0.21.2 causes test failure

From: Yuan Fu <[email-masked]>
Date: Sun, 23 Feb 2025 22:08:21 -0800

> On Feb 23, 2025, at 6:11 PM, john muhl <[email-masked]> wrote:
> 
> Mattias Engdegård <[email-masked]> writes:
> 
>>> The newly released version 0.21.2 of the typescript grammar caused
>> the typescript-ts-mode tests to start failing.
>> 
>> I still get the exact same test error on master. Is this supposed to be fixed?
> 
> I’m still seeing this test failure and a after a little poking
> around I found that setting indent-tabs-mode to nil after changing
> the major mode in the test setup fixes it for me. I don’t
> understand why that’s a problem here and not in other tests but I
> tested it on two different systems and they both pass now.

Thanks Mattias, I applied you patch.

> p.s. While looking around I noticed that tree-sitter reports
> errors in the code of the “JSX indentation” test. Looks like the
> values after the ? & : should be quoted but I don’t know anything
> about TS/JSX.

You’re right, they should be quoted. And there shouldn’t be a semi-colon at the end either, since the whole things is supposed to be an expression rather than a statement.

I applied another patch that fixed it.

Yuan